# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::TriangleIteratorIndexed< TArray > Class Template Reference

For internal use only. More...

`#include <TriangleIterator.hpp>`

Inheritance diagram for vl::TriangleIteratorIndexed< TArray >:

List of all members.

## Public Member Functions

| TriangleIteratorIndexed ()
| TriangleIteratorIndexed (const TArray *idx_array, EPrimitiveType prim_type, int base_vert, bool prim_restart_on, unsigned int prim_restart_idx)
bool | hasNext () const
virtual int | a () const
virtual int | b () const
virtual int | c () const
void | initialize (int start=0, int end=-1)
bool | next ()
void | setBaseVertex (int base_vert)
int | baseVertex () const

## Detailed Description

### template<class TArray>
class vl::TriangleIteratorIndexed< TArray >

For internal use only.

See vl::TriangleIterator instead.

Definition at line 60 of file TriangleIterator.hpp.

## Constructor & Destructor Documentation

template<class TArray >

vl::TriangleIteratorIndexed< TArray >::TriangleIteratorIndexed | ( | ) | `[inline]`

Definition at line 66 of file TriangleIterator.hpp.

References NULL, vl::PT_UNKNOWN, and VL_DEBUG_SET_OBJECT_NAME.

template<class TArray >

vl::TriangleIteratorIndexed< TArray >::TriangleIteratorIndexed | ( | const TArray * | idx_array,
|  | EPrimitiveType | prim_type,
|  | int | base_vert,
|  | bool | prim_restart_on,
|  | unsigned int | prim_restart_idx
| ) |  | `[inline]`

Definition at line 81 of file TriangleIterator.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

template<class TArray >

bool vl::TriangleIteratorIndexed< TArray >::hasNext | ( | ) | const`[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Reimplemented in vl::TriangleIteratorMulti< TArray >.

Definition at line 96 of file TriangleIterator.hpp.

template<class TArray >

virtual int vl::TriangleIteratorIndexed< TArray >::a | ( | ) | const`[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Definition at line 98 of file TriangleIterator.hpp.

template<class TArray >

virtual int vl::TriangleIteratorIndexed< TArray >::b | ( | ) | const`[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Definition at line 99 of file TriangleIterator.hpp.

template<class TArray >

virtual int vl::TriangleIteratorIndexed< TArray >::c | ( | ) | const`[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Definition at line 100 of file TriangleIterator.hpp.

template<class TArray >

void vl::TriangleIteratorIndexed< TArray >::initialize | ( | int | start = `0`,
|  | int | end = `-1`
| ) |  | `[inline]`

Definition at line 102 of file TriangleIterator.hpp.

References vl::PT_POLYGON, vl::PT_QUAD_STRIP, vl::PT_QUADS, vl::PT_TRIANGLE_FAN, vl::PT_TRIANGLE_STRIP, vl::PT_TRIANGLES, and VL_CHECK.

template<class TArray >

bool vl::TriangleIteratorIndexed< TArray >::next | ( | ) | `[inline, virtual]`

Implements vl::TriangleIteratorAbstract.

Reimplemented in vl::TriangleIteratorMulti< TArray >.

Definition at line 171 of file TriangleIterator.hpp.

References vl::PT_POLYGON, vl::PT_QUAD_STRIP, vl::PT_QUADS, vl::PT_TRIANGLE_FAN, vl::PT_TRIANGLE_STRIP, vl::PT_TRIANGLES, and VL_TRAP.

template<class TArray >

void vl::TriangleIteratorIndexed< TArray >::setBaseVertex | ( | int | base_vert ) | `[inline]`

Definition at line 310 of file TriangleIterator.hpp.

template<class TArray >

int vl::TriangleIteratorIndexed< TArray >::baseVertex | ( | ) | const`[inline]`

Definition at line 311 of file TriangleIterator.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/TriangleIterator.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:55.
Permission is granted to use this page to write and publish articles regarding Visualization Library.